Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.client
Class Stub

    java.lang.Object
      org.apache.axis.client.Stub

All Implemented Interfaces:
  javax.xml.rpc.Stub

public abstract class Stub
extends Object
implements javax.xml.rpc.Stub

This class is the base for all generated stubs.

Field Summary
`protected URL` | `cachedEndpoint`
`protected String` | `cachedPassword`
`protected javax.xml.namespace.QName` | `cachedPortName`
`protected Properties` | `cachedProperties`
`protected Integer` | `cachedTimeout`
`protected String` | `cachedUsername`
`protected boolean` | `maintainSession`
`protected boolean` | `maintainSessionSet`
`protected javax.xml.rpc.Service` | `service`

Fields inherited from interface javax.xml.rpc.Stub
`ENDPOINT_ADDRESS_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, USERNAME_PROPERTY`

Constructor Summary
`Stub()`

Method Summary
`Object` | `_getProperty(String name)` Gets the value of a named property.
`Iterator` | `_getPropertyNames()` Return the names of configurable properties for this stub class.
`void` | `_setProperty(String name, Object value)` Sets the value for a named property.
`void` | `addAttachment(Object handler)` Add an attachment
`void` | `clearAttachments()` This method clears the request attachments.
`void` | `clearHeaders()` This method clears both requestHeaders and responseHeaders hashtables.
`void` | `extractAttachments(Call call)` Extract attachments
`protected boolean` | `firstCall()` Is this the first time the type mappings are being registered?
`Object[]` | `getAttachments()` Get the array of attachments
`SOAPHeaderElementAxisImpl` | `getHeader(String namespace, String partName)` Get the header element
`SOAPHeaderElementAxisImpl[]` | `getHeaders()` Get the array of header elements
`String` | `getPassword()` Get the password
`javax.xml.namespace.QName` | `getPortName()` Get the port name.
`protected void` | `getResponseHeaders(Call call)` Deprecated. This method has been changed to a no-op but remains in the code to keep compatibility with pre-1.1 generated stubs.
`int` | `getTimeout()` Get the timeout value in milliseconds.
`String` | `getUsername()` Get the user name
`Object` | `removeProperty(String name)` Remove a property from this instance of the Stub NOTE: This is NOT part of JAX-RPC and is an Axis extension.
`protected void` | `setAttachments(Call call)`
`void` | `setHeader(SOAPHeaderElementAxisImpl header)` Set the header
`void` | `setHeader(String namespace, String partName, String headerValue)` Set the header
`void` | `setMaintainSession(boolean session)` If set to true, session is maintained; if false, it is not.
`void` | `setPassword(String password)` Set the password.
`void` | `setPortName(javax.xml.namespace.QName portName)` Set the port QName.
`void` | `setPortName(String portName)` Set the port name.
`protected void` | `setRequestHeaders(Call call)`
`void` | `setTimeout(int timeout)` Set the timeout in milliseconds.
`void` | `setUsername(String username)` Set the username.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service

    protected javax.xml.rpc.Service service

### maintainSessionSet

    protected boolean maintainSessionSet

### maintainSession

    protected boolean maintainSession

### cachedProperties

    protected Properties cachedProperties

### cachedUsername

    protected String cachedUsername

### cachedPassword

    protected String cachedPassword

### cachedEndpoint

    protected URL cachedEndpoint

### cachedTimeout

    protected Integer cachedTimeout

### cachedPortName

    protected javax.xml.namespace.QName cachedPortName

Constructor Detail

### Stub

    public Stub()

Method Detail

### firstCall

    protected boolean firstCall()

  Is this the first time the type mappings are being registered?

### _setProperty

    public void _setProperty(String name,
                             Object value)

  Sets the value for a named property. JAX-RPC 1.0 specification specifies a standard set of properties that may be passed to the Stub._setProperty method. These properties include:
  - javax.xml.rpc.security.auth.username: Username for the HTTP Basic Authentication
  - javax.xml.rpc.security.auth.password: Password for the HTTP Basic Authentication
  - javax.xml.rpc.service.endpoint.address: Target service endpoint address.
  - [TBD: Additional properties]

  Specified by:
    `_setProperty` in interface `javax.xml.rpc.Stub`
  Parameters:
    `name` - - Name of the property
    `value` - - Value of the property

### _getProperty

    public Object _getProperty(String name)

  Gets the value of a named property.

  Specified by:
    `_getProperty` in interface `javax.xml.rpc.Stub`
  Parameters:
    `name` -
  Returns:
    the value of a named property.

### removeProperty

    public Object removeProperty(String name)

  Remove a property from this instance of the Stub NOTE: This is NOT part of JAX-RPC and is an Axis extension.

  Parameters:
    `name` - the name of the property to remove
  Returns:
    the value to which the key had been mapped, or null if the key did not have a mapping.

### _getPropertyNames

    public Iterator _getPropertyNames()

  Return the names of configurable properties for this stub class.

  Specified by:
    `_getPropertyNames` in interface `javax.xml.rpc.Stub`

### setUsername

    public void setUsername(String username)

  Set the username.

### getUsername

    public String getUsername()

  Get the user name

### setPassword

    public void setPassword(String password)

  Set the password.

### getPassword

    public String getPassword()

  Get the password

### getTimeout

    public int getTimeout()

  Get the timeout value in milliseconds. 0 means no timeout.

### setTimeout

    public void setTimeout(int timeout)

  Set the timeout in milliseconds.

### getPortName

    public javax.xml.namespace.QName getPortName()

  Get the port name.

### setPortName

    public void setPortName(javax.xml.namespace.QName portName)

  Set the port QName.

### setPortName

    public void setPortName(String portName)

  Set the port name.

### setMaintainSession

    public void setMaintainSession(boolean session)

  If set to true, session is maintained; if false, it is not.

### setHeader

    public void setHeader(String namespace,
                          String partName,
                          String headerValue)

  Set the header

  Parameters:
    `namespace` -
    `partName` - that uniquely identify a header object.
    `headerValue` - Object that is sent in the request as a SOAPHeader

### setHeader

    public void setHeader(SOAPHeaderElementAxisImpl header)

  Set the header

### extractAttachments

    public void extractAttachments(Call call)

  Extract attachments

  Parameters:
    `call` -

### addAttachment

    public void addAttachment(Object handler)

  Add an attachment

  Parameters:
    `handler` -

### getHeader

    public SOAPHeaderElementAxisImpl getHeader(String namespace,
                                               String partName)

  Get the header element

### getHeaders

    public SOAPHeaderElementAxisImpl[] getHeaders()

  Get the array of header elements

### getAttachments

    public Object[] getAttachments()

  Get the array of attachments

### clearHeaders

    public void clearHeaders()

  This method clears both requestHeaders and responseHeaders hashtables.

### clearAttachments

    public void clearAttachments()

  This method clears the request attachments.

### setRequestHeaders

    protected void setRequestHeaders(Call call)
                              throws AxisFault

  Throws:
    `AxisFault`

### setAttachments

    protected void setAttachments(Call call)
                           throws AxisFault

  Throws:
    `AxisFault`

### getResponseHeaders

    protected void getResponseHeaders(Call call)
                               throws AxisFault

  Deprecated. This method has been changed to a no-op but remains in the code to keep compatibility with pre-1.1 generated stubs.

  Helper method for updating headers from the response.

  Deprecated, since response headers should not be automatically reflected back into the stub list.

  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.